import java.sql.*;

public class ByteaTest2 {

	public static void main(String args[]) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5432/jurka","jurka","");

		for (int k=0; k<5; k++) {
			long t1 = System.currentTimeMillis();
			long total = 0;

			for (int j=0; j<10; j++) {
				PreparedStatement pstmt = conn.prepareStatement("SELECT varcharsend(repeat(?,?))");
				pstmt.setString(1, "a\\001");
				pstmt.setInt(2, 150000);
				ResultSet rs = pstmt.executeQuery();
				rs.next();
				for (int i=0; i<100; i++) {
					byte b[] = rs.getBytes(1);
					total += b.length;
				}

				rs.close();
				pstmt.close();
			}
			long t2 = System.currentTimeMillis();
			System.out.println(t2-t1);
		}
	}
}
